<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Beer app</title>
</head>
<body>
<h1 th:text="#{home.welcome}">Hello Telerik Academy! (design)</h1>
<p sec:authorize="isAuthenticated()">
    <label>User:</label>
    <span sec:authentication="name"/>
    <br/>
    <label>Role(s):</label>
    <span sec:authentication="principal.authorities"/>
</p>
<ul>
    <li>
        <a href="allBeers.html" th:href="@{/beers}">See all beers</a>
    </li>
    <li>
        <a href="#" th:href="@{/beers/new}">Create new beer</a>
    </li>
    <li>
        <a href="#" th:href="@{/tags/new}">Create new tag</a>
    </li>
    <li>
        <a href="#" th:href="@{/breweries/new}">Create new brewery</a>
    </li>
    <li>
        <a href="#" th:href="@{/beers/add-tag}">Add tag to beer</a>
    </li>
    <li sec:authorize="hasRole('ROLE_ADMIN')">
        <a href="#" th:href="@{/admin}">Admin Portal</a>
    </li>

</ul>

<form sec:authorize="!isAuthenticated()" th:action="@{/login}" method="get">
    <input type="submit" value="Login"/>
</form>
<form sec:authorize="isAuthenticated()" th:action="@{/logout}" method="post">
    <br/>
    <input type="submit" value="Logout"/>
</form>
<!--<form>-->
<!--    <br/>-->
<!--    <input type="submit" value="Sort Alphabetically"-->
<!--           th:action="@{/beers/sorted/alphabetically}"/>-->
<!--    <br/><br/>-->

<!--    &lt;!&ndash;<input type="submit" value="Sort By ABV" th:action="@{/sortedBeersAlphabetically.html}"/>-->
<!--    <br/><br/>&ndash;&gt;-->
<!--</form>-->
</body>
</html>
